Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.asn1
Class SET.Element

    java.lang.Object
      |
      +--org.mozilla.jss.asn1.SET.Element

Direct Known Subclasses:
  SEQUENCE.Element

Enclosing class:
  SET

static class SET.Element
extends java.lang.Object

An element of a SET

Field Summary
`private Tag` | `implicitTag`
`private ASN1Value` | `val`

Constructor Summary
`SET.Element(ASN1Value val)` Makes a new SET element from the given value.
`SET.Element(Tag implicitTag, ASN1Value val)` Makes a new SET element from the given value with the given implicit tag.

Method Summary
`Tag` | `getImplicitTag()` Returns the implicit tag for this value, if there is one.
`Tag` | `getTag()` Returns the tag that actually shows up in the encoding.
`ASN1Value` | `getValue()` Returns the value of this SET element.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### val

    private ASN1Value val

### implicitTag

    private Tag implicitTag

Constructor Detail

### SET.Element

    public SET.Element(ASN1Value val)

  Makes a new SET element from the given value.

### SET.Element

    public SET.Element(Tag implicitTag,
                       ASN1Value val)

  Makes a new SET element from the given value with the given implicit tag.

Method Detail

### getValue

    public ASN1Value getValue()

  Returns the value of this SET element.

### getTag

    public Tag getTag()

  Returns the tag that actually shows up in the encoding. If there is an implicit tag, it will be used. Otherwise, it will be the base tag for the value.

### getImplicitTag

    public Tag getImplicitTag()

  Returns the implicit tag for this value, if there is one. If not, returns null.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD